# /etc/nixos/flake.nix
{
  description = "flake for mira::{auxin, leptin, gastrin}";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
    };
    nix-darwin = {
      url = "github:LnL7/nix-darwin";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = inputs@{
    self,
    nixpkgs,
    nix-darwin,
  }: {
    nixosConfigurations = {
      auxin = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [
          ./auxin/configuration.nix
        ];
      };
    };
    darwinConfigurations = {
      leptin = nix-darwin.lib.darwinSystem {
        system = "aarch64-darwin";
        modules = [
          ./leptin/configuration.nix
        ];
      };
    };
  };
}
